Skip to main content
GET
List payments or find by order ID

Authorizations

x-api-key
string
header
required

Query Parameters

orderId
string

Exact merchant order ID; cannot be combined with list parameters

Maximum string length: 100
limit
number
default:25
Required range: 1 <= x <= 100
starting_after
string

next_cursor from the previous page (transaction ID)

Maximum string length: 32
status
enum<string>
Available options:
CREATED,
WAIT_APPROVE,
PROCESSING,
SUCCESS,
DECLINED,
CANCELED,
EXPIRED
action
enum<string>
Available options:
SALE,
PAYOUT
created_gte
string<date-time>

Inclusive creation time, with timezone

created_lt
string<date-time>

Exclusive creation time, with timezone

Response

data
object[]
required
has_more
boolean
required
Example:

false

next_cursor
string | null
required

Pass as starting_after for the next page

Example:

null

status
boolean
required
Example:

true